List BR Code payloads
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/ \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/brcode/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2025-03-07T14:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"kind": "STATIC",
"merchantCity": "São Paulo",
"merchantName": "Lerian Studio",
"pixKey": "12345678901",
"status": "ACTIVE",
"updatedAt": "2025-03-07T14:30:00Z",
"amount": "100.00",
"copyPaste": "00020126580014br.gov.bcb.pix...",
"fss": "12345678",
"ignoredAmount": "10.00",
"ignoredFss": "12345678",
"ignoredInfoAdicional": "Compra 042",
"ignoredTxId": "TXIDABCDEFGHIJKLMNOPQRSTUVWXYZ",
"infoAdicional": "Compra 042",
"payloadUrl": "pix.example.com/qr/v2/550e8400",
"qrPngBase64": "iVBORw0KGgoAAAANSUhEUgAA...",
"qrPngContentType": "image/png",
"raw": "00020126580014br.gov.bcb.pix...",
"recurrenceUrl": "pix.example.com/rec/2353c790eefb11eaadc10242ac120002",
"txId": "Compra042"
}
],
"limit": 25,
"offset": 0,
"correlationId": "<string>"
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List BR Code payloads
Returns a paginated list of BR Code payloads.
GET
/
api
/
v1
/
brcode
/
List BR Code payloads
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/ \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/brcode/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2025-03-07T14:30:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"kind": "STATIC",
"merchantCity": "São Paulo",
"merchantName": "Lerian Studio",
"pixKey": "12345678901",
"status": "ACTIVE",
"updatedAt": "2025-03-07T14:30:00Z",
"amount": "100.00",
"copyPaste": "00020126580014br.gov.bcb.pix...",
"fss": "12345678",
"ignoredAmount": "10.00",
"ignoredFss": "12345678",
"ignoredInfoAdicional": "Compra 042",
"ignoredTxId": "TXIDABCDEFGHIJKLMNOPQRSTUVWXYZ",
"infoAdicional": "Compra 042",
"payloadUrl": "pix.example.com/qr/v2/550e8400",
"qrPngBase64": "iVBORw0KGgoAAAANSUhEUgAA...",
"qrPngContentType": "image/png",
"raw": "00020126580014br.gov.bcb.pix...",
"recurrenceUrl": "pix.example.com/rec/2353c790eefb11eaadc10242ac120002",
"txId": "Compra042"
}
],
"limit": 25,
"offset": 0,
"correlationId": "<string>"
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Page size (default 25, max 100)
Required range:
1 <= x <= 100Page offset (default 0)
Required range:
x >= 0Response
OK
Page of BR Code payloads for the requested limit/offset window.
Show child attributes
Show child attributes
Maximum number of items returned for this page (clamped to the server maximum).
Example:
25
Zero-based offset of the first item in this page.
Example:
0
Request-scoped correlation identifier echoing X-Request-ID, for pivoting from response to trace.
Was this page helpful?

